import * as types from "../actionTypes/actionTypes";

const request = payload => ({
	type: types.REQUEST,
	payload
});
const requestSuccess = payload => ({
	type: types.REQUEST_SUCCESS,
	payload
});
const requestFail = payload => ({
	type: types.REQUEST_FAIL,
	payload
});

// export const doRequest = payload => {
// 	return dispatch => {
// 		dispatch(request());

// 		return fetch("https://jsonplaceholder.typicode.com/todos/1")
// 			.then((response, err) => {
// 				if (err) console.log("err", err);

// 				response.json();
// 			})
// 			.then(json => dispatch(requestSuccess(json)))
// 			.catch(err => dispatch(requestFail(err)));
// 	};
// };

export const doRequest = payload => {
	return async dispatch => {
		dispatch(request(payload));
		try {
			// const response = await fetch(`https://test-request-4b9d7.firebaseio.com/test.json`);
			const response = await fetch(`https://jsonplaceholder.typicode.com/todos/${payload}`);

			const json = await response.json();

			// const lol = await send("Model");

			dispatch(requestSuccess(json));
		} catch (err) {
			dispatch(requestFail(err));
		}
	};
};

// export const send = async payload => {
// 	await fetch("https://test-request-4b9d7.firebaseio.com/test.json", {
// 		method: "POST",
// 		body: JSON.stringify({ name: payload })
// 	});
// };
